SPA Test Data

SPA: Updates a Test Data

Updates an existing test data.

PATCH/api/spa/test-data/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

TestData identifier

Request Body

application/json
required

The updated TestData resource

{
  "name": "My Test Data",
  "data": "{\"key\": \"value\"}",
  "subClient": {},
  "subClientDefault": false
}

Response

200application/json

TestData resource updated

id
integer

Identifier generated by Output.Rocks.

Example: 12345

name
stringrequired

Name of the test data

Example: "My Test Data"

data
object

JSON data

Example: "{\"key\": \"value\"}"

createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"